\begin{exercise}{2.2} \label{ex:2.2}
  I choose the \texttt{MEDV} value as output. Before each split the dataset is randomly shuffled.
  
  \begin{figure}[h!]
    \centering
    \begin{subfigure}{0.47\textwidth}
      \includegraphics[width=\textwidth]{\RootPathSheetTwo/ex2/plot.pdf}
      \subcaption{}
    \end{subfigure}
    \hfil
    \begin{subfigure}{0.47\textwidth}
      \includegraphics[width=\textwidth]{\RootPathSheetTwo/ex2/plot-zoom.pdf}
      \subcaption{}
    \end{subfigure}
    \caption{mean squared error in function of the fraction of the dataset used for training. (a) is the complete plot, while (b) is a zoom on relevant part of the plot.}
    \label{fig:2.2}
  \end{figure}
  In \figref{fig:2.2} we can see the plot of the Mean Squared Error for different proportions of the split train-test.
  Let's call \(F\) the fraction of the dataset used for the training. At \(F\approx\SI{0}{\percent}\) the training error is around 0 as expected, because the number of feature is smaller than the size of training set. After that, it increase until it reaches a plateau. 
  On the other end, the test error at \(F\approx\SI{0}{\percent}\) is really high since the model is trained ad-hoc on few points, but it isn't predictive yet on the rest of the dataset. Then there's a fall until \(F\approx\SI{15}{\percent}\) because in this phase we are adding a lot of new information to the train set. After that, there's a slow decrease to \(F\approx\SI{95}{\percent}\), as expected. The test error would decrease also in the last part of the plot, but since it becomes small, there aren't enough points to have an accurate estimation of the error. This is why we see big fluctuations for \(F>\SI{95}{\percent}\).
  
  \pythoncode{\RootPathSheetTwo/ex2/code.py}
\end{exercise}